# Poco

# class OutputStreamConverter

Library: Foundation
Package: Text
Header: Poco/StreamConverter.h

## Description

This stream converts all characters written to the underlying ostream from one character encoding into another. If a character cannot be represented in outEncoding, defaultChar is used instead. If a byte sequence written to the stream is not valid in inEncoding, defaultChar is used instead and the encoding error count is incremented.

## Inheritance

Direct Base Classes: StreamConverterIOS, std::ostream

All Base Classes: StreamConverterIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: errors, rdbuf

## Constructors

### OutputStreamConverter

OutputStreamConverter(
std::ostream & ostr,
const TextEncoding & inEncoding,
const TextEncoding & outEncoding,
int defaultChar = '?'
);

Creates the OutputStreamConverter and connects it to the given input stream.

## Destructor

### ~OutputStreamConverter

~OutputStreamConverter();

Destroys the CountingOutputStream.